#
# Conditional build:
%bcond_with	tests	# do perform "make test" (requires mounted /proc)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Proc
%define		pnam	ProcessTable
Summary:	Proc::ProcessTable - Perl interface to the UNIX process table
Summary(pl.UTF-8):	Proc::ProcessTable - interfejs perlowy do uniksowej tabeli procesów
Name:		perl-Proc-ProcessTable
Version:	0.48
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Proc/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ddc2c67cd1184ddb0ba1f84e89b90e2a
Patch0:		format.patch
URL:		http://search.cpan.org/dist/Proc-ProcessTable/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a first crack at providing a consistent interface to
Unix (and maybe other multitasking OS's) process table information.
The impetus for this came about with my frustration at having to parse
the output of various systems' ps commands to check whether specific
processes were running on different boxes at a larged mixed UNIX site.
The output format of ps was different on each OS, and sometimes
changed with each new release of an OS. Also, running a ps subprocess
from within a perl or shell script and parsing the output was not a
very efficient or aesthetic way to do things.

%description -l pl.UTF-8
Ten moduł to pierwsza próba udostępnienia spójnego interfejsu do
informacji dotyczących uniksowej (i może z innych wielozadaniowych
systemów operacyjnych) tabeli procesów. Impuls do stworzenia tego
pojawił się wraz z frustracją autora przy analizie wyjścia poleceń ps
z różnych systemów w celu sprawdzenia, czy określone procesy działają
na różnych maszynach w dużym zestawie różnych Uniksów. Format wyjścia
ps był różny na każdym systemie, a czasem zmieniał się wraz z nową
wersją systemu. Poza tym uruchamianie procesu ps z Perla lub skryptu
powłoki i analiza jego wyjścia nie były zbyt wydajnym ani estetycznym
sposobem.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.linux PORTING Changes TODO
%dir %{perl_vendorarch}/Proc
%{perl_vendorarch}/Proc/*.pm
%{perl_vendorarch}/Proc/ProcessTable
%dir %{perl_vendorarch}/auto/Proc
%dir %{perl_vendorarch}/auto/Proc/ProcessTable
%attr(755,root,root) %{perl_vendorarch}/auto/Proc/ProcessTable/*.so
%{perl_vendorarch}/auto/Proc/ProcessTable/Process
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Proc-ProcessTable.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 24e3eaf
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2f9a32a
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 40292dd
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Mon Jun 10 2013 Artur Frysiak <artur@frysiak.net> 38cbd83
- One more fix

* Mon Jun 10 2013 Artur Frysiak <artur@frysiak.net> 1c75d2d
- Compilation fix

* Mon Jun 10 2013 Artur Frysiak <artur@frysiak.net> 04e3879
- Up to 0.48

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7cef52f
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 1ca9690
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> eeea478
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d8aba8
- release 2

* Sun Mar 01 2009 radek <radek@pld-linux.org> 83eaaaf
- version 0.45

* Sun Mar 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 915bf1e
- generic URL

* Sun Mar 02 2008 radek <radek@pld-linux.org> 5c750fa
- version 0.42

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d05f2a
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> b2d7c1d
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 625ae42
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e1e4722
- converted to UTF-8

* Wed Oct 25 2006 ankry <ankry@pld-linux.org> bc86fa8
- ver. 0.41

* Wed Nov 09 2005 Paweł Cyranek <pawel.cyranek@gmail.com> f48a25e
- updated to 0.40

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 978b315
- formatting

